--ALTER TYPE social.comment_type ADD VALUE 'request-for-deletion';

SET search_path=social,public;

ALTER TYPE comment_type RENAME TO comment_type_;

CREATE TYPE comment_type AS ENUM (
    'info',
    'complaint',
    'warn',
    'request-for-deletion'
);

ALTER TABLE comment ALTER COLUMN type TYPE comment_type
    USING type::text::comment_type;

DROP TYPE comment_type_;

SET search_path=public;
